#ifndef XCOLLISIONAABBTREEINDEX_H
#define XCOLLISIONAABBTREEINDEX_H

#include "xasset.h"

class XCollisionAabbTreeIndex : public XAsset
{
public:
    explicit XCollisionAabbTreeIndex();
    ~XCollisionAabbTreeIndex();

    void ParseData(QDataStream *aStream) override;

    // Option 1: First child index
    int GetFirstChildIndex() const;
    void SetFirstChildIndex(int index);

    // Option 2: Partition index
    int GetPartitionIndex() const;
    void SetPartitionIndex(int index);

private:
    int mFirstChildIndex;
    int mPartitionIndex;
};

#endif // XCOLLISIONAABBTREEINDEX_H
